# frozen_string_literal: true

class Flux13SideEffectsJob < ActiveJob::Base
  queue_as :flux_13_side_effects

  def perform(housing_offer_id)
    # Get all active application for given offer
    applications = Hermes::HousingApplication.where(is_active: true, housing_offer_id: housing_offer_id)
    applications.batch_size(5).each do |application|
      # Update status and disable application
      application.update!(status: 'ANNULEE BAILLEUR', is_active: false)
      # Notify applicant
      application.notify(
        key: NOTIFICATION_KEYS[:housing_application][:lessor_withdrawal],
        channels: ['email'],
        datas: { number: application.housing_offer.reference }
      )
    end
  end
end