# frozen_string_literal: true

module Hermes
  # HousingOfferExpirationSetting serializer
  class HousingOfferExpirationSettingSerializer < Hermes::ApplicationSerializer
    cache key: proc { "#{object.cache_key}" }, expires_in: 1.day
    attributes %i[
      department
      max_applicants
      expiry_days
      minimal_publication_days
      lessor_id
    ]

    type 'housing_offer_expiration_settings'
  end
end
