require 'rails_helper'

RSpec.describe Hermes::Operation, type: :model do
  context 'sluggify code' do
    let(:operation1) { create(:operation, { name: 'test' }) }
    let(:operation2) { create(:operation, { name: 'test' }) }
    let(:operation3) { create(:operation, {name: 'test'}) }
    let(:operation4) { create(:operation, {name: 'test', code:'code'}) }
    let(:operation5) { create(:operation, {name: 'test', code:'code'}) }
    let(:operation6) { create(:operation, {name: 'test', code:'codé'}) }

    it 'has valid codes' do
      expect(operation1.reload.code).to eq('ALSOP')
      expect(operation2.reload.code).to eq('ALSOP-1')
      expect(operation3.reload.code).to eq('ALSOP-2')
      expect(operation4.reload.code).to eq('CODE')
      expect(operation5.reload.code).to eq('CODE-1')
      expect(operation6.reload.code).to eq('CODE-2')
    end
  end
end
